# 郵箱|deepin-mail|

## 概述

郵箱是一款簡單好用的郵件管理應用程序，可以同時管理多個郵箱帳號。

## 使用入門

您可以通過以下方式運行或關閉郵箱，或者創建快捷方式。

### 運行郵箱

1. 單擊任務欄上的啟動器圖標 ![deepin_launcher](../common/deepin_launcher.svg)，進入啟動器界面。

2. 上下滾動鼠標滾輪瀏覽或通過搜索，找到郵箱圖標 ![deepin_mail](../common/deepin_mail.svg) ，單擊運行 ，打開郵箱窗口大小支持記憶功能 。

3. 右鍵單擊 ![deepin_mail](../common/deepin_mail.svg)，您可以：
   - 單擊 **傳送到桌面**，在桌面創建快捷方式。
   - 單擊 **傳送到任務欄**，將應用程序固定到任務欄。
   - 單擊 **加至開機啟動**，將應用程序添加到開機啟動項，在電腦開機時自動運行該應用程序。

### 關閉郵箱

在郵箱主界面單擊 ![icon_menu](../common/icon_menu.svg) ，選擇 **退出**，直接退出應用程序。

關閉郵箱主界面時是否退出應用程序，取決於設置界面「關閉主窗口」處的設置項。

- 選擇 **最小化到系統托盤**，關閉主窗口時，應用程序將隱藏到系統托盤。
- 選擇 **退出**，關閉主窗口時直接退出應用程序。
- 選擇 **每次詢問**，每次關閉主窗口時會彈出確認彈框。

## 登錄

1. 打開郵箱，選擇郵箱帳號類型，如果沒有對應的類型，則選擇其他郵箱，單擊 **繼續**。

   ![select_mailbox](fig/select_mailbox.png)

2. 在郵箱登錄界面輸入郵箱帳號、密碼或授權碼後，單擊 **登錄**。對於需要授權碼登錄的帳號，單擊 **獲取授權碼** 查看獲取方式。

   > ![tips](../common/tips.svg) 竅門：單擊幫助按鈕 ![help](../common/help.svg)，可以查看郵箱的幫助手冊。

   ![login_interface](fig/login_interface.png)

3. 如果選擇的郵箱類型不在伺服器資料庫中，則需單擊 **手動配置** 手動添加。在手動配置界面，支持POP3/IMAP/Exchange（EWS）服務配置，選擇的協議類型不同，配置參數也略有差異。例如POP3服務支持伺服器備份，IMAP服務支持本地備份。

   ![email_config](fig/email_config.png)
   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
> ![notes](../common/notes.svg) 說明：QQ郵箱、網易郵箱（163.com及126.com）、新浪郵箱等需要開啟POP3/IMAP等服務後才可以在郵箱中使用。開啟服務後，服務端會產生授權碼。在登錄界面輸入郵箱帳戶及授權碼即可登錄郵箱。如果登錄失敗，單擊 **查看幫助** 則可查看幫助訊息。

![help_info](fig/help_info.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

## 主界面

郵箱主界面包括郵件視圖和日曆視圖，登錄成功後默認進入郵件視圖。郵件視圖由常用文件夾、郵箱帳戶、郵箱目錄、郵件列表、郵件正文、寫郵件、收郵件、通訊錄、搜索等組成。

![maininterface](fig/maininterface.png)

<table class="block1">
    <caption>主界面</caption>
    <tbody>
        <tr>
            <td width="20px">1</td>
            <td width="120px">寫郵件</td>
            <td>快速開始寫郵件。</td>
        </tr>
        <tr>
            <td>2</td>
            <td>通訊錄</td>
            <td>展示通訊錄列表及聯繫人的訊息，同時可補充聯繫人電話號碼、地址等訊息。</td>
        </tr>
         <tr>
            <td>3</td>
            <td>收郵件</td>
            <td>從伺服器同步郵箱數據，包括郵件，地址簿，日曆等訊息。</td>
        </tr>
        <tr>
            <td>4</td>
            <td>搜索</td>
            <td>快速查找本地已加載的郵件。</td>
        </tr>
         <tr>
            <td>5</td>
            <td>主菜單</td>
            <td>進行郵箱相關設置、切換窗口主題，查看幫助手冊等操作。</td>
        </tr>
         <tr>
            <td>6</td>
            <td>常用文件夾</td>
            <td>展示所有郵箱帳戶的常用郵件。</td>
        </tr>
         <tr>
            <td>7</td>
            <td>郵箱帳戶</td>
            <td>展示添加的所有郵箱帳戶列表。</td>
        </tr>
        <tr>
            <td>8</td>
            <td>郵箱目錄</td>
            <td>郵箱目錄用於分類整理郵件數據，不同類別的郵箱目錄可能不同。除了通用固定目錄外，其他的就是用戶個人創建的目錄。</td>
        </tr>
         <tr>
            <td>9</td>
            <td>郵件列表</td>
            <td>展示郵箱目錄下的所有郵件，顯示內容包括：發件人、主題、摘要、發件時間及標星狀態。</td>
        </tr> 
          <tr>
            <td>10</td>
            <td>郵件正文</td>
            <td>展示郵件標題、收發件人訊息、時間及正文內容。</td>
        </tr> 
   </tbody>
   </table>


## 常用文件夹

常用文件夾將所有郵箱帳號的常用文件夾集中在一起，便於快速查看郵件，添加常用文件夾有兩種方式：

- 在郵箱主界面，將鼠標懸浮於常用文件夾區域，出現添加按鈕 ![add_normal](../common/add_normal.svg) 後單擊。選擇將「所有收件箱」、「所有未讀郵件」、「所有星標郵件」、「所有草稿箱」或「所有已發送」添加到常用文件夾。

  ![add_hot_folder1](fig/add_hot_folder1.png)

  去勾選後則可以移除常用文件夾。

- 在郵箱目錄中，選中需要添加的郵箱目錄並單擊右鍵，單擊 **添加至常用文件夾**。

  ![add_hot_folder2](fig/add_hot_folder2.png)

​        再次單擊 **移除常用文件夾** 則可以移除。

## 新建郵箱目錄

郵箱目錄用於分類整理郵件數據，不同協議的郵箱目錄可能不同，請以實際情況為準。例如pop協議的郵箱帳號有星標郵件目錄，用於存放星標郵件。

除了通用固定的目錄外，還可以新建郵箱目錄。

1. 在郵箱主界面，右鍵單擊郵箱帳號，並選擇 **新建文件夾**。

   ![new_folder](fig/new_folder.png)

2. 輸入文件夾名稱後，新的郵箱目錄創建完成，拖拽對應目錄還可以在同層級內調整順序。

3. 右鍵單擊新的郵箱目錄，可以進行重命名、創建子文件夾、批量刪除等操作。

   ![right_click_menu](fig/right_click_menu.png)

## 寫郵件

1. 在郵箱主界面，單擊寫郵件按鈕 ![email_button](../common/email_button.svg)，進入寫郵件界面。支持通過快捷鍵 **Ctrl** + **N** 打開新的寫郵件窗口。
2. 輸入收件人郵箱帳號，或單擊添加按鈕 ![add_normal](../common/add_normal.svg) 從通訊錄中選擇收件人，還可以選擇抄送和密送。對於一對多的郵件發送場景，輸入第一個帳號後，收件人下方會顯示其他收件推薦人。
3. 郵件正文支持富文本編輯，包括插入圖片、表情、鏈接等功能，支持添加附件、選擇郵件模板、簽名等功能。默認簽名為當前郵箱帳號，單擊「簽名」下拉框，可以編輯簽名訊息。編輯時支持部分快捷鍵功能。同時也支持純文本編輯，不可插入圖片、表情，改變字體顏色等，可添加附件、選擇郵件模板、簽名等功能。
4. 編輯完成後，單擊 **發送** 即可。單擊更多按鈕 ![more](../common/more.svg)，還可以選擇定時發送、分別發送等。 

<img src="fig/write_email.png" alt="write_email" style="zoom: 50%;" />

## 收郵件

收郵件是從伺服器同步郵件，系統默認每15分鐘同步1次郵箱數據。每次登錄郵箱後，可以選擇每次收取郵件的數量。

收取郵件有兩種方式：

- 選中郵箱帳戶，單擊收取郵件按鈕 ![refresh_button](../common/refresh_button.svg)。
- 選中郵箱帳戶並單擊右鍵，選擇 **收取郵件**。

## 查看郵件

1. 在郵件列表中單擊 **所有郵件**，可以選擇查看所有郵件、未讀郵件、星標郵件、含附件的郵件。

2. 單擊選中的郵件後，可查看該郵件的主題、收發件人、時間及正文等訊息。單擊右鍵，則可以選擇添加標籤、置頂郵件、聚合、移動、字符集切換等操作。如果您選中多個郵件，則不會顯示郵件內容。

   - 按住 **Ctrl** 鍵，用鼠標左鍵依次單擊郵件，可選中多個郵件；

   - 用鼠標左鍵單擊A郵件，然後按住 **Shift** 鍵 ，再用左鍵單擊B郵件，可選中從A到B之間的所有郵件。

3. 單擊發件人或收件人郵箱，可查看收發件人的詳細訊息及往來郵件，還可以將他們添加到通訊錄。

   ![contact_info](fig/contact_info.png)
   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

4. 在郵件正文區域，可以對郵件進行編輯、轉發、標星、移動、刪除等操作。

   ![email_text](fig/email_text.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

## 搜索郵件

郵件搜索功能可以快速查找本地已加載的郵件。

1. 在郵箱主界面單擊搜索按鈕 ![search](../common/search.svg)，輸入關鍵字後，可以選擇「主題」 、「全文」、「發件人」或「收件人」等搜索郵件。

2. 單擊篩選按鈕 ![filter](../common/filter.svg)，還可以進行更精確的搜索。在篩選界面，您可以輸入發件人、收件人訊息，輸入主題、全文關鍵字，選擇是否有附件、選擇時間範圍進行精確搜索。

   ![search](fig/search.png)

## 聚合郵件

聚合郵件可以將發件人或主題關鍵字相同的郵件聚合在一起，聚合條件則會自動添加到帳號設置中的聚合頁簽中。

- 按發件人聚合：選中一個郵件並單擊右鍵，選擇 **聚合 > 聚合來自xxx的所有郵件**。所有來自xxx發件人的郵件都會聚合在一起。

- 按主題關鍵字聚合：選中一個郵件並單擊右鍵，選擇 **聚合 > 聚合特定主題關鍵字的所有郵件**，彈出選框。輸入關鍵詞後，單擊 **確定**  後，郵件主題中包含該關鍵詞的郵件都會聚合在一起。

<img src="fig/syndicate_mail.png" alt="syndicate_mail" style="zoom: 33%;" />

右鍵單擊已聚合的郵件，選擇 **取消聚合**，已聚合的郵件則會分開顯示，聚合頁簽中的聚合條件也會自動刪除。

如果刪除了聚合頁簽中的聚合條件，相關的郵件也會取消聚合。

## 移動郵件

將當前文件夾的郵件移動到其他文件夾，可以移動一個郵件，或移動該發件人的所有郵件。

![move](fig/move.png)

## 刪除郵件

刪除郵件可以選擇單個刪除或批量刪除，刪除後的郵件會存放到「已刪除」目錄，您還可以在 **已刪除** 目錄中永久刪除郵件。

### 單個刪除

單個刪除郵件有兩種方式：

- 在郵件列表選中郵件並單擊右鍵，選擇 **刪除**。
- 在郵件正文中，單擊刪除按鈕 ![trash](../common/trash.svg)。

### 批量刪除

選中要刪除的郵箱目錄並單擊右鍵，選擇 **批量刪除**，您可以刪除一定時間範圍內的郵件，如刪除一週前、一個月前的郵件等。

## 導入郵件

在郵箱目錄列表中，選中郵箱目錄並單擊右鍵，選擇 **導入郵件**。彈出文件管理器窗口，選擇需要導入的郵件後，單擊 **打開** 即可導入指定目錄。

> ![notes](../common/notes.svg) 說明：Exchange協議不支持導入郵件。

## 導出郵件

導出郵件可以單獨導出，也支持批量導出。

### 單個導出

1. 單個導出郵件有兩種方式：
   - 在郵件列表選中一個或多個郵件並單擊右鍵，選擇 **導出**。

   - 在郵件正文中，單擊更多操作按鈕 ![more](../common/more.svg) 後，選擇 **導出**。
2. 彈出文件管理器窗口，選擇存儲路徑後單擊 **保存**。

### 批量導出

選中指定的郵箱目錄並單擊右鍵，選擇 **導出郵件**，彈出文件管理器窗口，選擇存儲路徑後單擊 **保存**。

## 通訊錄

在郵箱主界面，單擊通訊錄按鈕 ![contact_button](../common/contact_button.svg)，進入通訊錄界面。查看通訊錄列表及聯繫人的訊息，還可以添加新的聯繫人、添加聯繫人分組、導入聯繫人、導出聯繫人等。

![contact](fig/contact.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

### 添加聯繫人

在通訊錄界面中，可以添加單個聯繫人或批量導入聯繫人。

**添加單個聯繫人**

1. 單擊添加按鈕 ![add_normal](../common/add_normal.svg)，選擇 **添加聯繫人**。
2. 填寫聯繫人名稱、郵箱、電話、地址等訊息，選擇郵箱帳號後，單擊 **保存**。

**批量導入聯繫人**

1. 單擊添加按鈕 ![add_normal](../common/add_normal.svg)，選擇 **導入聯繫人 > 導入vCard文件** 或 **導入CSV文件** 。

2. 選擇郵箱帳號後，單擊 **確定**。

3. 彈出文件管理器窗口，選擇待導入的 .vcf或.csv格式的文件即可。對於.csv格式的文件，可以選擇通訊錄字段進行映射。

   ![contact_mapping](fig/contact_mapping.png)

對於已添加的聯繫人，可以進行編輯、刪除、查看往來郵件等操作。

### 添加聯繫人分組

添加聯繫人後，可以根據使用需求進行分組，首先添加聯繫人分組。

1. 單擊添加按鈕 ![add_normal](../common/add_normal.svg)，選擇 **添加聯繫人分組**。

2. 輸入分組名稱後，單擊 **確定**。

3. 勾選對應的聯繫人後，再次單擊 **確定** 完成分組。

選中分組並單擊右鍵，可以進行重命名、管理聯繫人、刪除分組等操作。

### 導出聯繫人

根據郵箱帳號、所有聯繫人、聯繫人分組等方式導出聯繫人。對於兩個或兩個以上的聯繫人，可以選擇導出到同一文件或單獨文件。

>  ![notes](../common/notes.svg) 說明：當導出的聯繫人數量超過500時，只能導出到同一文件。

## 郵箱日曆

在郵箱主界面，單擊日曆圖標 ![calendar_button](../common/calendar_button.svg)，可以查看日曆並管理日程。

>  ![notes](../common/notes.svg) 說明：當前郵箱支持QQ郵箱、網易郵箱（163.com及126.com)的CalDav日曆協議，在對應服務商的網頁端開啟協議後，可以實現與伺服器日程同步。 

![calendar_view](fig/calendar_view.png)

### 新建日程

1. 在日曆視圖中，單擊左上角的 **月**、**周**、**日** 查看月視圖、周視圖和日視圖。

2. 在月、周或者日視圖中，選中一個日期或時間段。

3. 雙擊空白處、單擊鼠標右鍵或單擊菜單欄的新建按鈕![add_normal](../common/add_normal.svg)，彈出新建日程窗口。

   ![create_schedule](fig/create_schedule.png)

   

4. 單擊 **保存** 按鈕，創建日程。

### 編輯日程

1. 在月、周或者日視圖中，單擊日程標籤。

   ![editor](fig/calendar_edit.png)

2. 單擊編輯按鈕，彈出編輯日程窗口。

3. 修改日程的相關參數後，單擊 **保存**。

### 新建會議郵件

1. 在日曆視圖中，單擊左上角的 **月**、**周**、**日** 查看月視圖、周視圖和日視圖。
2. 在月、周或者日視圖中，選中一個日期或時間段。
3. 雙擊空白處、單擊鼠標右鍵或單擊菜單欄的新建按鈕<img src="fig/email_button2.png" alt="editor" style="zoom:50%;" />，彈出新建會議郵件窗口。
4. 單擊 **發送** 按鈕，創建會議郵件。

![editor](fig/meeting.png)

### 編輯會議郵件

1.在月、周或者日視圖中，單擊日程標籤。

2.單擊編輯按鈕，彈出編輯日程窗口。

3.修改會議郵件的相關參數後，單擊 **發送**。

![editor](fig/calendar_edit.png)

## 主菜單

在郵箱主菜單中，您可以進行郵箱設置、切換窗口主題，查看幫助手冊等操作。

### 設置

在郵箱主界面，單擊 ![icon_menu](../common/icon_menu.svg)。進入郵箱設置界面，可進行帳號設置、基本設置、反垃圾設置、網絡設置及高級設置。

#### 帳號設置

在帳號設置界面，可以添加或刪除郵箱帳號，單擊添加按鈕 ![add](../common/add.svg)，可繼續添加新的郵箱帳號。選中郵箱帳號後，單擊 **編輯** 後出現刪除按鈕 ![delete_account](../common/delete_account.svg)，可選擇刪除郵箱帳號。每個郵箱帳號都可以進行郵箱、簽名、過濾規則、聚合條件設置。

![ID_setting](fig/ID_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**郵箱設置**：單擊 **郵箱設置** 頁簽，可以修改頭像，設置郵箱別名，配置伺服器。

**簽名**：默認簽名為郵箱帳號，單擊 **簽名** 頁簽，可以編輯當前簽名或添加新的簽名。

**過濾規則**：單擊 **過濾規則** 頁簽，可以設置多個條件對郵件進行組合過濾，只要滿足一個條件的郵件就會執行特定操作。例如：當收到某人的郵件時直接移動到垃圾郵件。

郵件將按過濾規則列表從上至下的順序進行檢查，當規則出現衝突時執行較上方的規則，且同一封郵件僅能命中一條規則，之後將不再向下檢查。

![filtering_rules](fig/filtering_rules.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**聚合**：單擊 **聚合** 頁簽，查看郵箱帳號下的所有郵件聚合條件。如果刪除了聚合條件，相關的郵件取消聚合。

![aggregation_settings](fig/aggregation_settings.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

#### 基本設置

**常規設置**：設置默認郵件客戶端、開機啟動及界面字體大小。

![basic_setting](fig/basic_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**郵件設置**：

- 開啟會話模式：勾選後，相關聯的郵件在郵件列表上會合併為一封會話郵件，提高處理郵件的效率。
- 彈窗提醒：勾選後，每次收到新郵件時會彈出提示框。
- 自動收信時間間隔：默認收信時間間隔為15分鐘，可以自定義。
- 寫郵件默認樣式：設置寫郵件的字體、字號和顏色。

**視圖**：對於郵件列表和正文，可以選擇左右視圖和上下視圖。

**快捷鍵**：郵箱中常用操作的快捷鍵。

#### 反垃圾設置

主要設置郵箱黑名單，在黑名單列表裏的郵箱發過來的郵件全部拒收，可添加、刪除、導出及導入黑名單。

#### 網絡設置

根據使用需求設置郵箱代理，支持設置默認代理和針對不同郵箱單獨設置代理。

- 不使用代理伺服器：系統默認選項。
- 使用系統代理設置：在 **控制中心 > 網絡** 界面設置對應的系統代理。
- 自定義代理伺服器：選擇HTTP、SOCKS4或SOCKS5代理，並填寫對應的伺服器IP位址、端口號、用戶名及密碼。

![network_setting](fig/network_setting.png)

#### 高級設置

基於郵箱數據安全考慮，建議開啟安全鎖，設置開啟密碼。當鼠標和鍵盤超過15分鐘未操作，郵箱將自動鎖定，喚醒時需要輸入安全鎖密碼。

#### 恢復默認

單擊 **恢復默認** ，將基本設置界面恢復為默認設置。

### 工具

1. 在郵箱主界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **工具**，管理郵件模板和標籤。

### 主題

窗口主題包含淺色主題、深色主題和系統主題。

1. 在郵箱主界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **主題**，選擇一個主題顏色。

### 幫助

1. 在郵箱主界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **幫助** ，查看關於郵箱的幫助手冊，讓您進一步了解和使用郵箱。

### 關於

1. 在郵箱主界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **關於**，查看關於郵箱的版本和介紹。

### 退出

1. 在郵箱主界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **退出**。